searchData={"items":[{"type":"module","title":"PhoenixAssetPipeline.Helpers","doc":"Provides asset pipeline macros.","ref":"PhoenixAssetPipeline.Helpers.html"},{"type":"macro","title":"PhoenixAssetPipeline.Helpers.class/1","doc":"Returns class list with obfuscated class names.","ref":"PhoenixAssetPipeline.Helpers.html#class/1"},{"type":"macro","title":"Examples - PhoenixAssetPipeline.Helpers.class/1","doc":"<.div {class(\"text-center\")}>\n      <.h1 {class([\"text-2xl\", \"font-bold\"])}>\n        Hello, Phoenix!\n      </.h1>\n    </.div>","ref":"PhoenixAssetPipeline.Helpers.html#class/1-examples"},{"type":"macro","title":"Output - PhoenixAssetPipeline.Helpers.class/1","doc":"Hello, Phoenix!","ref":"PhoenixAssetPipeline.Helpers.html#class/1-output"},{"type":"function","title":"PhoenixAssetPipeline.Helpers.obfuscate/1","doc":"Alias for PhoenixAssetPipeline.Obfuscator.obfuscate_class/2.\n\nRead more https://hexdocs.pm/phoenix_asset_pipeline/PhoenixAssetPipeline.Obfuscator.html#obfuscate_class/2","ref":"PhoenixAssetPipeline.Helpers.html#obfuscate/1"},{"type":"macro","title":"PhoenixAssetPipeline.Helpers.script/2","doc":"Renders a script tag.\n\nUses Phoenix.Endpoint.static_url/0\nRead more https://hexdocs.pm/phoenix/Phoenix.Endpoint.html","ref":"PhoenixAssetPipeline.Helpers.html#script/2"},{"type":"macro","title":"Args - PhoenixAssetPipeline.Helpers.script/2","doc":"path: (\"app\" || \"app.js\") || \"app.ts\"\n    html_opts: list of html options","ref":"PhoenixAssetPipeline.Helpers.html#script/2-args"},{"type":"macro","title":"Configuration - PhoenixAssetPipeline.Helpers.script/2","doc":"config :my_app, MyAppWeb.Endpoint, static_url: [host: host, port: 443, scheme: \"https\"]","ref":"PhoenixAssetPipeline.Helpers.html#script/2-configuration"},{"type":"macro","title":"Examples - PhoenixAssetPipeline.Helpers.script/2","doc":"<%= script(\"app\") %>\n    <%= script(\"app\", async: true, crossorigin: \"anonymous\") %>","ref":"PhoenixAssetPipeline.Helpers.html#script/2-examples"},{"type":"macro","title":"Output - PhoenixAssetPipeline.Helpers.script/2","doc":"If `url/0` is equal to `static_url/0`, the root path will be used.\n\n     \n     \n\nOtherwise, the full url will be used","ref":"PhoenixAssetPipeline.Helpers.html#script/2-output"},{"type":"macro","title":"PhoenixAssetPipeline.Helpers.style/2","doc":"Renders a inline style tag.","ref":"PhoenixAssetPipeline.Helpers.html#style/2"},{"type":"macro","title":"Args - PhoenixAssetPipeline.Helpers.style/2","doc":"path: (\"app\" || \"app.css\") || \"app.sass\" || \"app.scss\"\n    html_opts: list of html options","ref":"PhoenixAssetPipeline.Helpers.html#style/2-args"},{"type":"macro","title":"Examples - PhoenixAssetPipeline.Helpers.style/2","doc":"<%= style(\"app\") %>","ref":"PhoenixAssetPipeline.Helpers.html#style/2-examples"},{"type":"macro","title":"Output - PhoenixAssetPipeline.Helpers.style/2","doc":"/* app.css styles */","ref":"PhoenixAssetPipeline.Helpers.html#style/2-output"},{"type":"macro","title":"PhoenixAssetPipeline.Helpers.tailwind/2","doc":"Renders a inline style tag with tailwind css.\n\nRequires tailwind.config.js file in the assets directory.","ref":"PhoenixAssetPipeline.Helpers.html#tailwind/2"},{"type":"macro","title":"Args - PhoenixAssetPipeline.Helpers.tailwind/2","doc":"path: (\"app\" || \"app.css\") || \"app.sass\" || \"app.scss\"\n    html_opts: list of html options","ref":"PhoenixAssetPipeline.Helpers.html#tailwind/2-args"},{"type":"macro","title":"Examples - PhoenixAssetPipeline.Helpers.tailwind/2","doc":"<%= style(\"app\") %>","ref":"PhoenixAssetPipeline.Helpers.html#tailwind/2-examples"},{"type":"macro","title":"Output - PhoenixAssetPipeline.Helpers.tailwind/2","doc":"/* tailwind css styles */\n      /* app.css styles */","ref":"PhoenixAssetPipeline.Helpers.html#tailwind/2-output"},{"type":"module","title":"PhoenixAssetPipeline.Obfuscator","doc":"Provides obfuscatation for class names.","ref":"PhoenixAssetPipeline.Obfuscator.html"},{"type":"function","title":"PhoenixAssetPipeline.Obfuscator.obfuscate_class/2","doc":"Obfuscates the class name string by replacing with unique short name.\n\n`phx-` prefixed class names are not obfuscated.","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_class/2"},{"type":"function","title":"Examples - PhoenixAssetPipeline.Obfuscator.obfuscate_class/2","doc":"\"mt-1\"\n    \"mt-2\"\n    \"phx-click\"","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_class/2-examples"},{"type":"function","title":"Output - PhoenixAssetPipeline.Obfuscator.obfuscate_class/2","doc":"\"m\"\n    \"m1\"\n    \"phx-click\"","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_class/2-output"},{"type":"function","title":"PhoenixAssetPipeline.Obfuscator.obfuscate_css/1","doc":"Obfuscates the CSS content by replacing the class names with the obfuscated class names.\n\"\"","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_css/1"},{"type":"function","title":"Examples - PhoenixAssetPipeline.Obfuscator.obfuscate_css/1","doc":".mt-1 {\n      margin-top: 0.25rem\n    }","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_css/1-examples"},{"type":"function","title":"Output - PhoenixAssetPipeline.Obfuscator.obfuscate_css/1","doc":".m {\n      margin-top: 0.25rem\n    }","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_css/1-output"},{"type":"function","title":"PhoenixAssetPipeline.Obfuscator.obfuscate_js/1","doc":"Obfuscates the JavaScript content by replacing the `obfuscate( )` string with the obfuscated class name.","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_js/1"},{"type":"function","title":"Examples - PhoenixAssetPipeline.Obfuscator.obfuscate_js/1","doc":"Document.getElementsByClassName(\"obfuscate(my-class)\")","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_js/1-examples"},{"type":"function","title":"Output - PhoenixAssetPipeline.Obfuscator.obfuscate_js/1","doc":"Document.getElementsByClassName(\"m\")","ref":"PhoenixAssetPipeline.Obfuscator.html#obfuscate_js/1-output"},{"type":"function","title":"PhoenixAssetPipeline.Obfuscator.valid?/1","doc":"Checks if the class name is valid css class name.\n\nRead https://www.w3.org/TR/CSS21/syndata.html#characters","ref":"PhoenixAssetPipeline.Obfuscator.html#valid?/1"},{"type":"module","title":"PhoenixAssetPipeline.Plug","doc":"A plug for serving pre-compiled assets and static files.","ref":"PhoenixAssetPipeline.Plug.html"},{"type":"module","title":"Options - PhoenixAssetPipeline.Plug","doc":"* `:only` - filters which requests to serve. This is useful to avoid\n    file system access on every request when this plug is mounted\n    at `\"/\"`. For example, if `only: [\"images\", \"favicon.ico\"]` is\n    specified, only files in the \"images\" directory and the\n    \"favicon.ico\" file will be served by `Plug.Static`.\n    Note that `Plug.Static` matches these filters against request\n    uri and not against the filesystem. When requesting\n    a file with name containing non-ascii or special characters,\n    you should use urlencoded form. For example, you should write\n    `only: [\"file%20name\"]` instead of `only: [\"file name\"]`.\n    Defaults to `nil` (no filtering).\n\n  * `:only_matching` - a relaxed version of `:only` that will\n    serve any request as long as one of the given values matches the\n    given path. For example, `only_matching: [\"images\", \"favicon\"]`\n    will match any request that starts at \"images\" or \"favicon\",\n    be it \"/images/foo.png\", \"/images-high/foo.png\", \"/favicon.ico\"\n    or \"/favicon-high.ico\". Such matches are useful when serving\n    digested files at the root. Defaults to `nil` (no filtering).","ref":"PhoenixAssetPipeline.Plug.html#module-options"},{"type":"function","title":"PhoenixAssetPipeline.Plug.assets/2","doc":"Serves pre-compiled assets.","ref":"PhoenixAssetPipeline.Plug.html#assets/2"},{"type":"function","title":"PhoenixAssetPipeline.Plug.static/2","doc":"Serves pre-compiled static files.","ref":"PhoenixAssetPipeline.Plug.html#static/2"},{"type":"module","title":"PhoenixAssetPipeline.Utils","doc":"Provides utility functions for the Phoenix Asset Pipeline.","ref":"PhoenixAssetPipeline.Utils.html"},{"type":"module","title":"Assets directory - PhoenixAssetPipeline.Utils","doc":"├── assets\n    │   ├── css\n    │   │   ├── app.css\n    │   │   ├── app.sass\n    │   │   ├── app.scss\n    │   ├── img\n    │   │   ├── logo.svg\n    │   ├── js\n    │   │   ├── app.js\n    │   │   ├── app.ts\n    │   ├── tailwind.config.js","ref":"PhoenixAssetPipeline.Utils.html#module-assets-directory"},{"type":"module","title":"Static directory - PhoenixAssetPipeline.Utils","doc":"├── priv\n    │   ├── static\n    │   │   ├── apple-touch-icon.png\n    │   │   ├── android-chrome-192x192.png\n    │   │   ├── android-chrome-512x512.png\n    │   │   ├── apple-touch-icon-precomposed.png\n    │   │   ├── browserconfig.xml\n    │   │   ├── favicon-16x16.png\n    │   │   ├── favicon-32x32.png\n    │   │   ├── favicon.ico\n    │   │   ├── mstile-150x150.png\n    │   │   ├── mstile-310x150.png\n    │   │   ├── mstile-310x310.png\n    │   │   ├── mstile-70x70.png\n    │   │   ├── robots.txt\n    │   │   ├── safari-pinned-tab.svg\n    │   │   ├── site.webmanifest","ref":"PhoenixAssetPipeline.Utils.html#module-static-directory"},{"type":"function","title":"PhoenixAssetPipeline.Utils.assets_paths/0","doc":"Returns the paths of the assets.","ref":"PhoenixAssetPipeline.Utils.html#assets_paths/0"},{"type":"function","title":"Examples - PhoenixAssetPipeline.Utils.assets_paths/0","doc":"assets_paths()","ref":"PhoenixAssetPipeline.Utils.html#assets_paths/0-examples"},{"type":"function","title":"Output - PhoenixAssetPipeline.Utils.assets_paths/0","doc":"[\n      \"assets/css/app.css\",\n      \"assets/img/logo.svg\",\n      \"assets/js/app.js\"\n    ]","ref":"PhoenixAssetPipeline.Utils.html#assets_paths/0-output"},{"type":"function","title":"PhoenixAssetPipeline.Utils.digest/1","doc":"Returns the Base64 encoded MD5 digest of the content.","ref":"PhoenixAssetPipeline.Utils.html#digest/1"},{"type":"function","title":"PhoenixAssetPipeline.Utils.encode/2","doc":"Encodes the content using the specified algorithm.","ref":"PhoenixAssetPipeline.Utils.html#encode/2"},{"type":"function","title":"Examples - PhoenixAssetPipeline.Utils.encode/2","doc":"encode(:brotli, content)\n    encode(:deflate, content)\n    encode(:gzip, content)","ref":"PhoenixAssetPipeline.Utils.html#encode/2-examples"},{"type":"function","title":"PhoenixAssetPipeline.Utils.integrity/1","doc":"Returns the Base64 encoded SHA-512 digest of the content.","ref":"PhoenixAssetPipeline.Utils.html#integrity/1"},{"type":"function","title":"PhoenixAssetPipeline.Utils.normalize/1","doc":"Normalizes the path by removing the trailing slash.","ref":"PhoenixAssetPipeline.Utils.html#normalize/1"},{"type":"function","title":"PhoenixAssetPipeline.Utils.static_files/0","doc":"Returns the list of static files.","ref":"PhoenixAssetPipeline.Utils.html#static_files/0"},{"type":"function","title":"Examples - PhoenixAssetPipeline.Utils.static_files/0","doc":"static_files()","ref":"PhoenixAssetPipeline.Utils.html#static_files/0-examples"},{"type":"function","title":"Output - PhoenixAssetPipeline.Utils.static_files/0","doc":"[\n      {\".png\", \"apple-touch-icon\", \" \",  ,  },\n      {\".png.br\", \"apple-touch-icon\", \" \",  ,  },\n      {\".png.deflate\", \"apple-touch-icon\", \" \",  ,  },\n      {\".png.gz\", \"apple-touch-icon\", \" \",  ,  },\n      ...\n    ]","ref":"PhoenixAssetPipeline.Utils.html#static_files/0-output"},{"type":"function","title":"PhoenixAssetPipeline.Utils.static_paths/0","doc":"Returns the priv/static file paths.","ref":"PhoenixAssetPipeline.Utils.html#static_paths/0"},{"type":"function","title":"Examples - PhoenixAssetPipeline.Utils.static_paths/0","doc":"static_paths()","ref":"PhoenixAssetPipeline.Utils.html#static_paths/0-examples"},{"type":"function","title":"Output - PhoenixAssetPipeline.Utils.static_paths/0","doc":"[\n      \"priv/static/android-chrome-192x192.png\",\n      \"priv/static/android-chrome-512x512.png\",\n      \"priv/static/apple-touch-icon-precomposed.png\",\n      \"priv/static/apple-touch-icon.png\",\n      \"priv/static/browserconfig.xml\",\n      \"priv/static/favicon-16x16.png\",\n      \"priv/static/favicon-32x32.png\",\n      \"priv/static/favicon.ico\",\n      \"priv/static/mstile-150x150.png\",\n      \"priv/static/mstile-310x150.png\",\n      \"priv/static/mstile-310x310.png\",\n      \"priv/static/mstile-70x70.png\",\n      \"priv/static/robots.txt\",\n      \"priv/static/safari-pinned-tab.svg\",\n      \"priv/static/site.webmanifest\"\n    ]","ref":"PhoenixAssetPipeline.Utils.html#static_paths/0-output"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}